# geomatics
A python tool for time series of multidimensional data developed by Riley Hales as part of a Master's Thesis in Civil and Environmental Engineering at Brigham Young University.

[![DOI](https://zenodo.org/badge/222982037.svg)](https://zenodo.org/badge/latestdoi/222982037)
[![License](https://img.shields.io/badge/License-BSD%203--Clause-blue.svg)](https://opensource.org/licenses/BSD-3-Clause)

[![Conda Downloads](https://img.shields.io/conda/dn/conda-forge/geomatics.svg)](https://anaconda.org/conda-forge/geomatics)
[![Conda Version](https://img.shields.io/conda/vn/conda-forge/geomatics.svg)](https://anaconda.org/conda-forge/geomatics)
[![pypi Version](https://img.shields.io/pypi/v/geomatics)](https://pypi.org/project/geomatics)
[![Conda Platforms](https://img.shields.io/conda/pn/conda-forge/geomatics.svg)](https://anaconda.org/conda-forge/geomatics)
![GitHub repo size](https://img.shields.io/github/repo-size/rileyhales/geomatics)

A set of tools for creating time series from subsets of multidimensional scientific datasets in netCDF, grib, h5, and geotiff formats. 
Compatible with complex vector geometries in standard GeoJSON and Shapefile formats. 
These tools have been tested on a variety of NASA and NOAA products up to 5 dimensions and are designed to be flexible for adaptation to any dataset.

https://geomatics.readthedocs.io  
https://github.com/conda-forge/geomatics-feedstock

[Visit the Anaconda Cloud page](https://anaconda.org/conda-forge/geomatics)

```bash
conda install -c conda-forge geomatics
pip install geomatics
```
